org.apache.solr.client.solrj.cloud.autoscaling

## Class AlreadyExistsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.solr.client.solrj.cloud.autoscaling.AlreadyExistsException

All Implemented Interfaces:
  Serializable

    public class AlreadyExistsException
    extends Exception

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AlreadyExistsException(String id)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getId()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AlreadyExistsException

    public AlreadyExistsException(String id)

### Method Detail

#### getId

    public String getId()